[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.AddOnUserInputHandler

Adds an application user input handler to the list of handlers for the type.

## Declaration

Source position: forms.pp line 1651

`public procedure TApplication.AddOnUserInputHandler(`
`Handler: TOnUserInputEvent;`
`AsFirst: Boolean = True`
`);`

## Arguments

`Handler` |  | Handler routine added in the method to the list of handlers.
`AsFirst` |  | True if the handler routine is inserted as the first entry in the list. False if it is appended to the end of the list.

## See also

TApplicationHandlerType |  | Types of Application notification handlers.